> For the complete documentation index, see [llms.txt](https://docs.verygoodsecurity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verygoodsecurity.com/vault/developer-tools/vgs-show/android-sdk/debugging.md).

# Debugging

Android VGS Show SDK generates different debug-logs to highlight important information for developer during the work process. When it became too verbose for you, there is ability to change default behaviour and minimize or disable debug information.

> You may always debug your setup with [Access Logger](https://docs.verygoodsecurity.com/vault/http-proxy/access-logger.md), by seeing requests statuses, payload diffs, matched information etc.

## Log levels

VGS Show SDK defines 3 log levels for controlling debug logs.

* **DEBUG**. We print all information about processing. It includes errors, warnings, notifications, debug messages, requests, and responses.
* **WARN**. This setting allows you to minimize information and print only errors, warnings.
* **NONE**. Disable debug logs.

You can switch the debug-log level with `setLogLevel` method.

{% tabs %}
{% tab title="Kotlin" %}

```kotlin
VGSShowLogger.logLevel = VGSShowLogger.Level.WARN
```

{% endtab %}

{% tab title="Java" %}

```java
VGSShowLogger.INSTANCE.setLogLevel(VGSShowLogger.Level.WARN);
```

{% endtab %}
{% endtabs %}

The `isDebugEnabled()` method helps you to check if the debug log is enabled.

> Don't forget to disable logs for you production Application.

## Disable logging

To disable all logging activities, you can use `setEnabled()` method.

{% tabs %}
{% tab title="Kotlin" %}

```kotlin
VGSShowLogger.isEnabled = false
```

{% endtab %}

{% tab title="Java" %}

```java
VGSShowLogger.INSTANCE.setEnabled(false);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.verygoodsecurity.com/vault/developer-tools/vgs-show/android-sdk/debugging.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
